configure
branchcustombridgeheads
changeset 5648 1608018c5ff2
parent 5645 72ebd9e4cd64
--- a/configure	Wed Jan 03 20:00:29 2007 +0000
+++ b/configure	Thu Jan 11 13:16:26 2007 +0000
@@ -19,16 +19,15 @@
 MEDIA_DIR="$ROOT_DIR/media"
 SOURCE_LIST="$ROOT_DIR/source.list"
 
-if [ "$1" = "--reconfig" ]
-then
-	if ! [ -f "config.cache" ]
-	then
+if [ "$1" = "--reconfig" ]; then
+	if ! [ -f "config.cache" ]; then
 		echo "can't reconfigure, because never configured before"
 		exit 1
 	fi
 	# Make sure we don't lock config.cache
-	configure=`cat config.cache`
-	$configure
+	cat config.cache > cache.tmp
+	sh cache.tmp
+	rm -f cache.tmp
 	exit $?
 fi
 
@@ -39,8 +38,7 @@
 make_cflags_and_ldflags
 
 EXE=""
-if [ "$os" = "MINGW" ] || [ "$os" = "CYGWIN" ] || [ "$os" = "OS2" ]
-then
+if [ "$os" = "MINGW" ] || [ "$os" = "CYGWIN" ] || [ "$os" = "OS2" ]; then
 	EXE=".exe"
 fi
 
@@ -48,21 +46,19 @@
 STRGEN="strgen$EXE"
 ENDIAN_CHECK="endian_check$EXE"
 
-if [ -z "$sort" ]
-then
+if [ -z "$sort" ]; then
 	PIPE_SORT="sed s/a/a/"
 else
 	PIPE_SORT="$sort"
 fi
 
-if ! [ -f "$LANG_DIR/english.txt" ]
-then
+if ! [ -f "$LANG_DIR/english.txt" ]; then
 	echo "Languages not found in $LANG_DIR. Can't continue without it."
 	echo "Please make sure the dir exists and contains at least english.txt"
 fi
 
 # Read the source.list and process it
-SRCS="`cat $ROOT_DIR/source.list | tr '\r' '\n' | awk '
+SRCS="`< $ROOT_DIR/source.list tr '\r' '\n' | awk '
 	{  }
 	/^(	*)#end/  { if (deep == skip) { skip -= 1; } deep -= 1; next; }
 	/^(	*)#else/ { if (deep == skip) { skip -= 1; } else if (deep - 1 == skip) { skip += 1; } next; }
@@ -107,8 +103,7 @@
 SRCS="`    echo \"$SRCS\" | awk ' { ORS = " " } { print $0; }'`"
 
 # In makefiles, we always use -u for sort
-if [ -z "$sort" ]
-then
+if [ -z "$sort" ]; then
 	sort="sed s/a/a/"
 else
 	sort="$sort -u"